Fixed default case in switch statement (# -> *)
[privoxy.git] / junkbuster.init
index c74b6b7..3cf2acc 100644 (file)
-#!/bin/sh\r
-#\r
-# $Id: junkbuster.init,v 1.2 2001/04/30 02:36:54 rodney Exp $\r
-#\r
-# This is file is either \r
-#\r
-#         /etc/rc.d/init.d/junkbuster \r
-#\r
-# or\r
-#\r
-#         /sbin/init.d/junkbuster\r
-#\r
-# and was put here by the junkbuster rpm\r
-#\r
-# junkbuster  This shell script takes care of starting and stopping\r
-#             junkbuster.\r
-#\r
-# This works only correctly if the user `nobody' is allowed\r
-# to be in the directory where this file is called \r
-# (for example: /root is NOT ok)\r
-# ---------------------------------------------------------------------------\r
-# Force /bin/sh as shell (padraic@renaghan.com).\r
-# Augmented with help by Sterling <wolffe@sempai.org>\r
-# Hints from mjohnson11@uswest.net\r
-# Hints from rochedav@primenet.com\r
-# ---------------------------------------------------------------------------\r
-# These lines are needed so Redhat's config tools will "see" this script:\r
-# chkconfig: 35 84 09\r
-# description: Blocks annoying ads from the internet, along with cookies \\r
-#              and a few other privacy features.      \r
-# processname: junkbuster\r
-# config: /etc/junkbuster/config\r
-\r
-\r
-# ---------------------------------------------------------------------------\r
-#\r
-# SuSE only\r
-#\r
-# ---------------------------------------------------------------------------\r
-if [ -f /etc/rc.config ]; then\r
-\r
-# Author: Daniel Bischof <daniel@suse.de>, 1999\r
-# Adjustment: Axel Braun <doc.b@gmx.de>, 17.08.2000 \r
-. /etc/rc.config\r
-#base=${0##*/}\r
-#link=${base#*[SK][0-9][0-9]}\r
-#test $link = $base && START_IJB=yes\r
-#test "$START_IJB" = "yes" || exit 0\r
-return=$rc_done\r
-case "$1" in\r
-    start)\r
-        echo -n "Starting The Internet Junkbuster"\r
-        su - nobody -c 'nohup /usr/sbin/junkbuster /etc/junkbuster/config < /dev/null > /dev/null &'         \r
-        sleep 1\r
-        echo -e "$return"\r
-        ;;\r
-    stop)\r
-        echo -n "Shutting down The Internet Junkbuster"\r
-        killproc -TERM /usr/sbin/junkbuster || return=$rc_failed\r
-        echo -e "$return"\r
-        ;;\r
-    restart|reload)\r
-        echo -n "Reload The Internet Junkbuster"\r
-        killproc -HUP /usr/sbin/junkbuster || return=$rc_failed\r
-        echo -e "$return"\r
-        ;;\r
-    status)\r
-        checkproc /usr/sbin/junkbuster && echo OK || echo No process\r
-        ;;\r
-    *)\r
-        echo "Usage: $0 {start|restart|status|stop}"\r
-        exit 1\r
-esac\r
-test "$return" = "$rc_done" || exit 1\r
-exit 0\r
-\r
-else\r
-# ---------------------------------------------------------------------------\r
-#\r
-# RedHat only\r
-#\r
-# ---------------------------------------------------------------------------\r
-\r
-# Source function library.\r
-if [ -f /etc/rc.d/init.d/functions ]; then\r
-. /etc/rc.d/init.d/functions\r
-fi\r
-\r
-if [ -f /etc/sysconfig/network ]; then\r
-. /etc/sysconfig/network\r
-fi\r
-\r
-#  Check that networking is up.\r
-[ ${NETWORKING} = "no" ] && exit 0\r
-\r
-[ -f /etc/junkbuster/config ] || exit 0\r
-\r
-[ -f /usr/sbin/junkbuster ] || exit 0\r
-\r
-RETVAL=0\r
-\r
-# See how we were called.\r
-case "$1" in\r
-\r
-   start)\r
-           # abort if already started\r
-      pid=`pidofproc junkbuster`\r
-      [ -n "$pid" ] && ps h $pid >/dev/null 2>&1 && \\r
-      echo -n "Already started: " && status junkbuster && \\r
-      exit 0\r
-\r
-      # Start daemon.\r
-      echo -n "Starting junkbuster:" && RETVAL=1\r
-      ulimit -c 0\r
-                su - nobody -s /bin/sh -c '/usr/sbin/junkbuster /etc/junkbuster/config' &\r
-      sleep 1\r
-      pid=`pidofproc junkbuster`\r
-      [ -n "$pid" ] && ps h $pid >/dev/null 2>&1 && RETVAL=0 && echo_success && touch /var/lock/subsys/junkbuster\r
-      [ $RETVAL -eq 1 ] && echo_failure\r
-      echo\r
-      ;;\r
-\r
-   stop)\r
-      # Stop daemon.\r
-      echo -n "Shutting down junkbuster:"\r
-                killproc junkbuster\r
-      RETVAL=$?\r
-      [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/junkbuster\r
-      echo\r
-      ;;\r
-\r
-   status)\r
-      status junkbuster\r
-      RETVAL=$?\r
-      ;;\r
-\r
-   restart|reload)\r
-                $0 stop && $0 start\r
-      ;;\r
-\r
-   *)\r
-      echo "Usage: junkbuster {start|stop|status|restart|reload}"\r
-      exit 1\r
-esac\r
-\r
-exit $RETVAL\r
-\r
-fi\r
-\r
+#!/bin/sh
+#  ********************************************************************
+# 
+#  File        :  $Source: /cvsroot/ijbswa/current/junkbuster.init,v $
+# 
+#  Purpose     :  This shell script takes care of starting and stopping
+#                 junkbuster.
+#                 This works only correctly if the user `nobody' is allowed
+#                 to be in the directory where this file is called 
+#                 (for example: /root is NOT ok)
+# 
+#  Copyright   :  Written by and Copyright (C) 2001 the SourceForge
+#                 IJBSWA team.  http://ijbswa.sourceforge.net
+# 
+#                 Based on the Internet Junkbuster originally written
+#                 by and Copyright (C) 1997 Anonymous Coders and
+#                 Junkbusters Corporation.  http://www.junkbusters.com
+# 
+#                 This program is free software; you can redistribute it
+#                 and/or modify it under the terms of the GNU General
+#                 Public License as published by the Free Software
+#                 Foundation; either version 2 of the License, or (at
+#                 your option) any later version.
+# 
+#                 This program is distributed in the hope that it will
+#                 be useful, but WITHOUT ANY WARRANTY; without even the
+#                 implied warranty of MERCHANTABILITY or FITNESS FOR A
+#                 PARTICULAR PURPOSE.  See the GNU General Public
+#                 License for more details.
+# 
+#                 The GNU General Public License should be included with
+#                 this file.  If not, you can view it at
+#                 http://www.gnu.org/copyleft/gpl.html
+#                 or write to the Free Software Foundation, Inc., 59
+#                 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+# 
+#  Revisions   :
+#     $Log: junkbuster.init,v $
+#     Revision 1.2  2001/05/24 07:52:24  swa
+#     added header. removed ^M.
+#
+# 
+# ********************************************************************/
+
+# These lines are needed so Redhat's config tools will "see" this script:
+# chkconfig: 35 84 09
+# description: Blocks annoying ads from the internet, along with cookies \
+#              and a few other privacy features.      
+# processname: junkbuster
+# config: /etc/junkbuster/config
+
+# ---------------------------------------------------------------------------
+#
+# SuSE only
+# FIXME: I need to be updated using the latest skeleton script from SuSE
+#
+# ---------------------------------------------------------------------------
+if [ -f /etc/rc.config ]; then
+
+# Author: Daniel Bischof <daniel@suse.de>, 1999
+# Adjustment: Axel Braun <doc.b@gmx.de>, 17.08.2000 
+. /etc/rc.config
+#base=${0##*/}
+#link=${base#*[SK][0-9][0-9]}
+#test $link = $base && START_IJB=yes
+#test "$START_IJB" = "yes" || exit 0
+return=$rc_done
+case "$1" in
+    start)
+        echo -n "Starting The Internet Junkbuster"
+        su - nobody -c 'nohup /usr/sbin/junkbuster /etc/junkbuster/config < /dev/null > /dev/null &'         
+        sleep 1
+        echo -e "$return"
+        ;;
+    stop)
+        echo -n "Shutting down The Internet Junkbuster"
+        killproc -TERM /usr/sbin/junkbuster || return=$rc_failed
+        echo -e "$return"
+        ;;
+    restart|reload)
+        echo -n "Reload The Internet Junkbuster"
+        killproc -HUP /usr/sbin/junkbuster || return=$rc_failed
+        echo -e "$return"
+        ;;
+    status)
+        checkproc /usr/sbin/junkbuster && echo OK || echo No process
+        ;;
+    *)
+        echo "Usage: $0 {start|restart|status|stop}"
+        exit 1
+esac
+test "$return" = "$rc_done" || exit 1
+exit 0
+
+else
+# ---------------------------------------------------------------------------
+#
+# RedHat only
+#
+# ---------------------------------------------------------------------------
+
+# Source function library.
+if [ -f /etc/rc.d/init.d/functions ]; then
+. /etc/rc.d/init.d/functions
+fi
+
+if [ -f /etc/sysconfig/network ]; then
+. /etc/sysconfig/network
+fi
+
+#  Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+[ -f /etc/junkbuster/config ] || exit 0
+
+[ -f /usr/sbin/junkbuster ] || exit 0
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+
+   start)
+           # abort if already started
+      pid=`pidofproc junkbuster`
+      [ -n "$pid" ] && ps h $pid >/dev/null 2>&1 && \
+      echo -n "Already started: " && status junkbuster && \
+      exit 0
+
+      # Start daemon.
+      echo -n "Starting junkbuster:" && RETVAL=1
+      ulimit -c 0
+                su - nobody -s /bin/sh -c '/usr/sbin/junkbuster /etc/junkbuster/config' &
+      sleep 1
+      pid=`pidofproc junkbuster`
+      [ -n "$pid" ] && ps h $pid >/dev/null 2>&1 && RETVAL=0 && echo_success && touch /var/lock/subsys/junkbuster
+      [ $RETVAL -eq 1 ] && echo_failure
+      echo
+      ;;
+
+   stop)
+      # Stop daemon.
+      echo -n "Shutting down junkbuster:"
+                killproc junkbuster
+      RETVAL=$?
+      [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/junkbuster
+      echo
+      ;;
+
+   status)
+      status junkbuster
+      RETVAL=$?
+      ;;
+
+   restart|reload)
+                $0 stop && $0 start
+      ;;
+
+   *)
+      echo "Usage: junkbuster {start|stop|status|restart|reload}"
+      exit 1
+esac
+
+exit $RETVAL
+
+fi
+